import WechatWorkPush from '../lib/push';
import { MessageBodyMarkdown, MessageBodyText } from '../types/message';
/**
 *  一些调用推送的案例
 *  只测试了文本 和marketdown
 *  其他的需要媒体接口配合
 */

const sender = new WechatWorkPush('a', 'b-b', 1000002);
// 文本消息
const tesxtData: MessageBodyText = {
  text: { content: '你可能爱过猪头' }
};
sender.PushMessageText(tesxtData).then(cc => console.log(cc));
// markdown消息
const markdownData: MessageBodyMarkdown = {
  markdown: { content: '> 你是猪头' }
};
sender.PushMessageMarkdown(markdownData).then(cc => console.log(cc));
