"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var push_1 = require("../lib/push");
/**
 *  一些调用推送的案例
 *  只测试了文本 和marketdown
 *  其他的需要媒体接口配合
 */
var sender = new push_1.default('a', 'b-b', 1000002);
// 文本消息
var tesxtData = {
    text: { content: '你可能爱过猪头' }
};
sender.PushMessageText(tesxtData).then(function (cc) { return console.log(cc); });
// markdown消息
var markdownData = {
    markdown: { content: '> 你是猪头' }
};
sender.PushMessageMarkdown(markdownData).then(function (cc) { return console.log(cc); });
